Package com.io7m.idstore.model

# Record Class IdTimeRange

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdTimeRange

Record Components:
  `timeLower` - The lower time
  `timeUpper` - The upper time

public record IdTimeRange(OffsetDateTime timeLower, OffsetDateTime timeUpper) extends Record
An inclusive range of time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdTimeRange(OffsetDateTime timeLower, OffsetDateTime timeUpper)`
  An inclusive range of time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static IdTimeRange`
  `largest()`
  `OffsetDateTime`
  `timeLower()`
  Returns the value of the `timeLower` record component.
  `OffsetDateTime`
  `timeUpper()`
  Returns the value of the `timeUpper` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdTimeRange

    public IdTimeRange(OffsetDateTime timeLower, OffsetDateTime timeUpper)
    An inclusive range of time.
    Parameters:
      `timeLower` - The lower time
      `timeUpper` - The upper time

- ## Method Details

  - ### largest

    public static IdTimeRange largest()
    Returns:
      The largest sensible time range

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timeLower

    public OffsetDateTime timeLower()
    Returns the value of the `timeLower` record component.
    Returns:
      the value of the `timeLower` record component

  - ### timeUpper

    public OffsetDateTime timeUpper()
    Returns the value of the `timeUpper` record component.
    Returns:
      the value of the `timeUpper` record component